## ros-one-mongodb-store 0.6.0-3jammy.20251023.0413

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(mongodb_store)

if(DEFINED ENV{ROS_DISTRO})
  if($ENV{ROS_DISTRO} STREQUAL "kinetic")
    add_compile_options(-std=c++11)
    message(STATUS "Building explicitly with C++11 support")
  endif()
endif()

find_package(catkin REQUIRED COMPONENTS roscpp message_generation rospy std_msgs std_srvs mongodb_store_msgs topic_tools)

set(CMAKE_MODULE_PATH   ${PROJECT_SOURCE_DIR}/cmake)
find_package(MongoClient REQUIRED)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html

catkin_python_setup()

#######################################
## Declare ROS messages and services ##
#######################################


## Generate services in the 'srv' folder
add_service_files(
  FILES
  GetParam.srv
  SetParam.srv
  MongoFind.srv
  MongoUpdate.srv
  MongoInsert.srv
)


## Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need


catkin_package(
 INCLUDE_DIRS include
 LIBRARIES message_store ${MongoClient_INCLUDE_DIR}
 CATKIN_DEPENDS mongodb_store_msgs topic_tools
 DEPENDS MongoClient
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${MongoClient_INCLUDE_DIR} 
)

link_directories(${catkin_LINK_DIRS})
link_directories(${MongoClient_LINK_DIRS})

add_library(message_store src/message_store.cpp )

add_executable(example_mongodb_store_cpp_client src/example_mongodb_store_cpp_client.cpp)
add_executable(example_multi_event_log src/example_multi_event_log.cpp)
# add_executable(pc_test src/point_cloud_test.cpp)


add_dependencies(example_mongodb_store_cpp_client mongodb_store_msgs_generate_messages_cpp )
add_dependencies(message_store mongodb_store_msgs_generate_messages_cpp )

target_link_libraries(message_store
  ${MongoClient_LIBRARIES}
  ${catkin_LIBRARIES}
)



# Specify libraries to link a library or executable target against
target_link_libraries(example_mongodb_store_cpp_client
  message_store
  ${MongoClient_LIBRARIES}  
  ${catkin_LIBRARIES}  
)

target_link_libraries(example_multi_event_log
  message_store
  ${MongoClient_LIBRARIES}  
  ${catkin_LIBRARIES}  
)

target_link_libraries(example_multi_event_log
  message_store
  ${MongoClient_LIBRARIES}  
  ${catkin_LIBRARIES}  
)


#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
catkin_install_python(PROGRAMS
  scripts/config_manager.py
  scripts/example_message_store_client.py
  scripts/example_multi_event_log.py
  scripts/message_store_node.py
  scripts/mongo_bridge.py
  scripts/mongodb_play.py
  scripts/mongodb_server.py
  scripts/replicator_client.py
  scripts/replicator_node.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark other files for installation (e.g. launch and bag files, etc.)
install(
  DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/mongodb_store/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS example_mongodb_store_cpp_client example_multi_event_log message_store #pc_test
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)


#############
## Testing ##
#############

if (CATKIN_ENABLE_TESTING)
  find_package(catkin REQUIRED COMPONENTS rostest)

  add_rostest(tests/message_store.test)
  add_rostest(tests/config_manager.test)
  add_rostest(tests/replication.test)

  add_executable(message_store_cpp_test tests/message_store_cpp_test.cpp)

  target_link_libraries(message_store_cpp_test
    message_store
    ${OPENSSL_LIBRARIES}
    ${catkin_LIBRARIES}
    ${Boost_LIBRARIES}
    gtest
  )

  add_rostest(tests/message_store_cpp_client.test)

endif()

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mongodb_store.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mongodb_store.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mongodb_store"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mongodb_store"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
ros-one-mongodb-store (0.6.0-3jammy.20251023.0413) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 23 Oct 2025 04:13:28 +0000

ros-one-mongodb-store (0.6.0-0jammy) jammy; urgency=high

  * Avoid deadlock on server shutdown (#279 <https://github.com/strands-project/mongodb_store/issues/279>)
  * Fix Python 3 bugs in mongodb_store (#272 <https://github.com/strands-project/mongodb_store/issues/272>, #274 <https://github.com/strands-project/mongodb_store/issues/274>, #275 <https://github.com/strands-project/mongodb_store/issues/275>)
  * handling of host binding (#270 <https://github.com/strands-project/mongodb_store/issues/270>)
  * update package.xml to format=3 (#269 <https://github.com/strands-project/mongodb_store/issues/269>)
  * fix connection_string arg default value (#266 <https://github.com/strands-project/mongodb_store/issues/266>)
  * fixed bug in where the replicator node did not recognize the db_host (#261 <https://github.com/strands-project/mongodb_store/issues/261>)
  * Added .launch to the roslaunch command that was written in the readme file (#262 <https://github.com/strands-project/mongodb_store/issues/262>)
  * fixed a formatting issue
  * fixed bug in where the replicator node did not recognize the db_host
  * remembering namespace in rosparam
  * Provide options to prevent unnecessary nodes launching
  * added ability for message store to use a full connection string
  * Removed --smallfiles arg no longer supported by MongoDB (#257 <https://github.com/strands-project/mongodb_store/issues/257>)
  * Contributors: Adrian Dole, Gal Gorjup, Kei Okada, Marc Hanheide, Nick Hawes, Shingo Kitagawa, Vittoria Santoro

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 20 Sep 2022 00:00:00 -0000

ros-one-mongodb-store (0.5.2-0jammy) jammy; urgency=high

  * added python-future to package.xml, which got lost in previous commit for some reasons ...
  * corrected typo
  * removed flags for most of files for simplicity, also included future.utils, may introduce undesireable dependency though
  * resolved python2 backward compatibility issues
    not thouroughly checked though
    Added python version checks, where needed.
    Changes not adjusted to version:
    - print always with brackets
    - excepti XXX, e ==> except XXX as e
    as there is no problem with python2 to best of my knowledge
  * adjusted python funtions for python3
  * add dependency to package xml
  * back to system mongo
  * Contributors: Ferenc Balint-Benczedi, Nick Hawes, Shingo Kitagawa, Volker Gabler, vgab

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 11 Nov 2019 00:00:00 -0000

ros-one-mongodb-store (0.5.1-0jammy) jammy; urgency=high

  * added python-future to package.xml
  * removed flags for most of files for simplicity, also included future.utils, may introduce undesireable dependency though
  * resolved python2 backward compatibility issues
    not thouroughly checked though
    Added python version checks, where needed.
    Changes not adjusted to version:
    - print always with brackets
    - excepti XXX, e ==> except XXX as e
    as there is no problem with python2 to best of my knowledge
  * adjusted python funtions for python3
  * Contributors: Shingo Kitagawa, Volker Gabler

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-mongodb-store (0.5.0-0jammy) jammy; urgency=high

  * Merge pull request #231 <https://github.com/strands-project/mongodb_store/issues/231> from bbferka/melodic-devel
    Melodic devel
  * add dependency to package xml
  * make it run
  * back to system mongo
  * Contributors: Ferenc Balint-Benczedi, Nick Hawes

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 20 Dec 2018 00:00:00 -0000

ros-one-mongodb-store (0.4.5-0jammy) jammy; urgency=high

  * Allow to bind mongod to host
    The existing solution bind the mongod server to all interfaces. This
    exposes the server to the outside. This could be a potensial security
    issue if someone has access to your network. This change allows you
    to only bind the server to the host specified by the
    mongodb_host parameter. The solution was created with a flag
    defaulting to false to prevent this from being a breaking change.
    Specifying the argument bind_to_host will add a bind argument to the
    executable:
    ```
    [..., "--bind_ip", self._mongo_host]
    ```
    Info: The bind_ip argument [supports hostnames, ipaddresses
    and socket
    paths](https://docs.mongodb.com/manual/reference/program/mongod/#cmdoption-mongod-bind-ip)
    so using localhost or 127.0.0.1 is valid for binding to
    localhost only. To bind to all interfaces use 0.0.0.0.
  * adds service to reset all local overrides.
    Exposes a new service /config_manager/reset_params std_srvs/Trigger
    that will reset all local overrides their default value. This provides
    a ROS compatible way of getting back to the default values.
  * Contributors: Jørgen Borgesen, Nick Hawes, Marc Hanheide

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-mongodb-store (0.4.3-0jammy) jammy; urgency=high

  * Merge pull request #243 <https://github.com/strands-project/mongodb_store/issues/243> from furushchev/get-publisher
    add method to get num subscribers for insertion
  * Merge pull request #242 <https://github.com/strands-project/mongodb_store/issues/242> from furushchev/shutdown
    shutdown publisher on destruction
  * Merge pull request #241 <https://github.com/strands-project/mongodb_store/issues/241> from furushchev/add-published-at
    append _meta.published_at for stamped messages
  * Merge pull request #240 <https://github.com/strands-project/mongodb_store/issues/240> from furushchev/fix-replicate
    display more info on replication
  * add method to get num subscribers for insertion
  * shutdown publisher on destruction
  * append _meta.published_at for stamped messages
  * display more info on replication


=== debian/control ===
Source: ros-one-mongodb-store
Section: misc
Priority: optional
Maintainer: Nick Hawes <nickh@robots.ox.ac.uk>
Build-Depends: debhelper (>= 9.0.0), libmongoclient-dev, libssl-dev, python3-catkin-pkg, ros-one-catkin, ros-one-geometry-msgs, ros-one-message-generation, ros-one-mongodb-store-msgs, ros-one-roscpp, ros-one-rospy, ros-one-rostest, ros-one-std-msgs, ros-one-std-srvs, ros-one-topic-tools
Homepage: http://www.ros.org/wiki/mongodb_store
Standards-Version: 3.9.2

Package: ros-one-mongodb-store
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmongoclient-dev, python3-future, python3-pymongo, ros-one-geometry-msgs, ros-one-mongodb-store-msgs, ros-one-roscpp, ros-one-rospy, ros-one-std-msgs, ros-one-std-srvs, ros-one-topic-tools
Description: A package to support MongoDB-based storage and analysis for data from a ROS system, eg.
 saved messages, configurations etc

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-mongodb-store//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-mongodb-store 0.6.0-3jammy.20260221.0046

=== debian/changelog ===
ros-one-mongodb-store (0.6.0-3jammy.20260221.0046) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sat, 21 Feb 2026 00:46:29 +0000

## ros-one-mongodb-store 0.6.0-3noble.20251023.0410

=== debian/changelog ===
ros-one-mongodb-store (0.6.0-3noble.20251023.0410) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 23 Oct 2025 04:10:46 +0000

ros-one-mongodb-store (0.6.0-0noble) noble; urgency=high

  * Avoid deadlock on server shutdown (#279 <https://github.com/strands-project/mongodb_store/issues/279>)
  * Fix Python 3 bugs in mongodb_store (#272 <https://github.com/strands-project/mongodb_store/issues/272>, #274 <https://github.com/strands-project/mongodb_store/issues/274>, #275 <https://github.com/strands-project/mongodb_store/issues/275>)
  * handling of host binding (#270 <https://github.com/strands-project/mongodb_store/issues/270>)
  * update package.xml to format=3 (#269 <https://github.com/strands-project/mongodb_store/issues/269>)
  * fix connection_string arg default value (#266 <https://github.com/strands-project/mongodb_store/issues/266>)
  * fixed bug in where the replicator node did not recognize the db_host (#261 <https://github.com/strands-project/mongodb_store/issues/261>)
  * Added .launch to the roslaunch command that was written in the readme file (#262 <https://github.com/strands-project/mongodb_store/issues/262>)
  * fixed a formatting issue
  * fixed bug in where the replicator node did not recognize the db_host
  * remembering namespace in rosparam
  * Provide options to prevent unnecessary nodes launching
  * added ability for message store to use a full connection string
  * Removed --smallfiles arg no longer supported by MongoDB (#257 <https://github.com/strands-project/mongodb_store/issues/257>)
  * Contributors: Adrian Dole, Gal Gorjup, Kei Okada, Marc Hanheide, Nick Hawes, Shingo Kitagawa, Vittoria Santoro

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Tue, 20 Sep 2022 00:00:00 -0000

ros-one-mongodb-store (0.5.2-0noble) noble; urgency=high

  * added python-future to package.xml, which got lost in previous commit for some reasons ...
  * corrected typo
  * removed flags for most of files for simplicity, also included future.utils, may introduce undesireable dependency though
  * resolved python2 backward compatibility issues
    not thouroughly checked though
    Added python version checks, where needed.
    Changes not adjusted to version:
    - print always with brackets
    - excepti XXX, e ==> except XXX as e
    as there is no problem with python2 to best of my knowledge
  * adjusted python funtions for python3
  * add dependency to package xml
  * back to system mongo
  * Contributors: Ferenc Balint-Benczedi, Nick Hawes, Shingo Kitagawa, Volker Gabler, vgab

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Mon, 11 Nov 2019 00:00:00 -0000

ros-one-mongodb-store (0.5.1-0noble) noble; urgency=high

  * added python-future to package.xml
  * removed flags for most of files for simplicity, also included future.utils, may introduce undesireable dependency though
  * resolved python2 backward compatibility issues
    not thouroughly checked though
    Added python version checks, where needed.
    Changes not adjusted to version:
    - print always with brackets
    - excepti XXX, e ==> except XXX as e
    as there is no problem with python2 to best of my knowledge
  * adjusted python funtions for python3
  * Contributors: Shingo Kitagawa, Volker Gabler

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-mongodb-store (0.5.0-0noble) noble; urgency=high

  * Merge pull request #231 <https://github.com/strands-project/mongodb_store/issues/231> from bbferka/melodic-devel
    Melodic devel
  * add dependency to package xml
  * make it run
  * back to system mongo
  * Contributors: Ferenc Balint-Benczedi, Nick Hawes

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Thu, 20 Dec 2018 00:00:00 -0000

ros-one-mongodb-store (0.4.5-0noble) noble; urgency=high

  * Allow to bind mongod to host
    The existing solution bind the mongod server to all interfaces. This
    exposes the server to the outside. This could be a potensial security
    issue if someone has access to your network. This change allows you
    to only bind the server to the host specified by the
    mongodb_host parameter. The solution was created with a flag
    defaulting to false to prevent this from being a breaking change.
    Specifying the argument bind_to_host will add a bind argument to the
    executable:
    ```
    [..., "--bind_ip", self._mongo_host]
    ```
    Info: The bind_ip argument [supports hostnames, ipaddresses
    and socket
    paths](https://docs.mongodb.com/manual/reference/program/mongod/#cmdoption-mongod-bind-ip)
    so using localhost or 127.0.0.1 is valid for binding to
    localhost only. To bind to all interfaces use 0.0.0.0.
  * adds service to reset all local overrides.
    Exposes a new service /config_manager/reset_params std_srvs/Trigger
    that will reset all local overrides their default value. This provides
    a ROS compatible way of getting back to the default values.
  * Contributors: Jørgen Borgesen, Nick Hawes, Marc Hanheide

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-mongodb-store (0.4.3-0noble) noble; urgency=high

  * Merge pull request #243 <https://github.com/strands-project/mongodb_store/issues/243> from furushchev/get-publisher
    add method to get num subscribers for insertion
  * Merge pull request #242 <https://github.com/strands-project/mongodb_store/issues/242> from furushchev/shutdown
    shutdown publisher on destruction
  * Merge pull request #241 <https://github.com/strands-project/mongodb_store/issues/241> from furushchev/add-published-at
    append _meta.published_at for stamped messages
  * Merge pull request #240 <https://github.com/strands-project/mongodb_store/issues/240> from furushchev/fix-replicate
    display more info on replication
  * add method to get num subscribers for insertion
  * shutdown publisher on destruction
  * append _meta.published_at for stamped messages
  * display more info on replication


## ros-one-mongodb-store 0.6.0-3noble.20260221.0119

=== debian/changelog ===
ros-one-mongodb-store (0.6.0-3noble.20260221.0119) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Nick Hawes <nickh@robots.ox.ac.uk>  Sat, 21 Feb 2026 01:19:05 +0000
